Read

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /admin/user/read

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • entities array[object]
      Hide entities attributes Show entities attributes object
      • created string(date-time)
      • lastUpdated string(date-time)
      • version integer(int32)
      • id string(uuid)
      • firstName string

        Minimum length is 1, maximum length is 25.

      • lastName string
      • email string(email)
      • phone string

        Minimum length is 0, maximum length is 20.

      • title string
      • login object
        Hide login attributes Show login attributes object
        • username string

          Minimum length is 6, maximum length is 255.

        • password string Required

          Minimum length is 8, maximum length is 255.

        • passwordResetToken string
        • credentialsExpired boolean
      • roles array[object]
        Hide roles attributes Show roles attributes object
        • created string(date-time)
        • lastUpdated string(date-time)
        • version integer(int32)
        • id string(uuid)
        • name string Required

          Minimum length is 1, maximum length is 100.

        • type string Required

          Values are Company, Project, or Site.

        • defaultProjectRoleId string(uuid)
        • permissions array[object]
          Hide permissions attributes Show permissions attributes object
          • created string(date-time)
          • lastUpdated string(date-time)
          • version integer(int32)
          • id string(uuid)
          • type string Required

            Values are admin, none, companyAdmin, companyManager, companyUser, companyReadOnly, companyUserPlus, projectManager, activityManager, or scheduleAdmin.

        • companyId string(uuid)
        • description string

          Minimum length is 0, maximum length is 255.

      • lastLogin string(date-time)
      • loginCount integer(int64)
      • authenticationProvider string
      • reportingRestricted boolean
      • fullName string
GET /admin/user/read
curl \
 --request GET 'https://live.smartpmtech.com/admin/user/read' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "entities": [
    {
      "created": "2026-05-04T09:42:00Z",
      "lastUpdated": "2026-05-04T09:42:00Z",
      "version": 42,
      "id": "string",
      "firstName": "string",
      "lastName": "string",
      "email": "hello@example.com",
      "phone": "string",
      "title": "string",
      "login": {
        "username": "string",
        "password": "string",
        "passwordResetToken": "string",
        "credentialsExpired": true
      },
      "roles": [
        {
          "created": "2026-05-04T09:42:00Z",
          "lastUpdated": "2026-05-04T09:42:00Z",
          "version": 42,
          "id": "string",
          "name": "string",
          "type": "Company",
          "defaultProjectRoleId": "string",
          "permissions": [
            {
              "created": "2026-05-04T09:42:00Z",
              "lastUpdated": "2026-05-04T09:42:00Z",
              "version": 42,
              "id": "string",
              "type": "admin"
            }
          ],
          "companyId": "string",
          "description": "string"
        }
      ],
      "lastLogin": "2026-05-04T09:42:00Z",
      "loginCount": 42,
      "authenticationProvider": "string",
      "reportingRestricted": true,
      "fullName": "string"
    }
  ]
}